Bug 2046297 - Bump DB reconnect timeout
Summary: Bump DB reconnect timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.10.0
Assignee: Dan Williams
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-26 14:31 UTC by Dan Williams
Modified: 2022-03-12 04:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-12 04:41:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 931 0 None Merged Bug 2046297: libovsdb: give connects more time to process than normal transactions 2022-07-11 21:09:34 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-12 04:42:08 UTC

Description Dan Williams 2022-01-26 14:31:29 UTC
At higher cluster scale downloading and processing the entire database in libovsdb after a reconnection can overrun the request timeout and cause another reconnect, overrun the timeout, etc. We'll need this until we can get libovsdb to respect the LastTransactionID.

Comment 1 Dan Williams 2022-01-26 14:32:28 UTC
blocker+ because this greatly impacts scale tests and is a regression versus 4.9/go-ovn.

Comment 9 errata-xmlrpc 2022-03-12 04:41:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.